OpenCoverageCoreutils

Coreutils patch #5 - Test report of the modifications

Overview

Test Execution StatusStatistics
Passed
  0.000% (0/108)
Failed
  0.000% (0/108)
Requires Manual Checking
  0.000% (0/108)
Unknown
  2.778% (3/108)
All
  2.778% (3/108)
CategoryRemoved LinesInserted LinesTotal
Modified lines executed:
100.000% (2/2)
  3.125% (1/32)
  8.824% (3/34)
Modified lines not executed:
  0.000% (0/2)
  0.000% (0/32)
  0.000% (0/34)
Source code lines not covered:
  0.000% (0/2)
 96.875% (31/32)
 91.176% (31/34)

List of tests executing the changes

Execution NameState
dirUnknown
lsUnknown
vdirUnknown

Patch File

Showing: 

Modified File: NEWS

LineTestsDifference Output
diff --git a/NEWS b/NEWS
index 351a0827b..207e785b3 100644
--- a/NEWS
+++ b/NEWS
@@ -4,6 +4,9 @@ GNU coreutils NEWS -*- outline -*-
4
5 ** Bug fixes
6
7
-
+ 'ls -aA' is now equivalent to 'ls -A', since -A now overrides -a.
8
-
+ [bug introduced in coreutils-5.3.0]
9
-
+
7 ➡ 10 'mv -n A B' no longer suffers from a race condition that can
8 ➡ 11 overwrite a simultaneously-created B. This bug fix requires
9 ➡ 12 platform support for the renameat2 or renameatx_np syscalls, found

Modified File: src/ls.c

LineTestsDifference Output
diff --git a/src/ls.c b/src/ls.c
index c89a22f68..bae2c1104 100644
--- a/src/ls.c
+++ b/src/ls.c
@@ -1903,8 +1903,7 @@ decode_switches (int argc, char **argv)
1903 break;
1904
1905 case 'A':
1906
3
Executed by:
  • dir
  • ls
  • vdir
- if (ignore_mode == IGNORE_DEFAULT)
1907
3
Executed by:
  • dir
  • ls
  • vdir
- ignore_mode = IGNORE_DOT_AND_DOTDOT;
1906
3
Executed by:
  • dir
  • ls
  • vdir
+ ignore_mode = IGNORE_DOT_AND_DOTDOT;
1908 ➡ 1907 break;
1909 ➡ 1908
1910 ➡ 1909 case 'B':

Modified File: tests/local.mk

LineTestsDifference Output
diff --git a/tests/local.mk b/tests/local.mk
index c798cc83a..e60ea1d1e 100644
--- a/tests/local.mk
+++ b/tests/local.mk
@@ -575,6 +575,7 @@ all_tests = \
575 tests/ln/sf-1.sh \
576 tests/ln/slash-decorated-nonexistent-dest.sh \
577 tests/ln/target-1.sh \
578
-
+ tests/ls/a-option.sh \
578 ➡ 579 tests/ls/abmon-align.sh \
579 ➡ 580 tests/ls/block-size.sh \
580 ➡ 581 tests/ls/color-clear-to-eol.sh \

New File: tests/ls/a-option.sh

LineTestsDifference Output
diff --git a/tests/ls/a-option.sh b/tests/ls/a-option.sh
new file mode 100755
index 000000000..4fe1e9394
--- /dev/null
+++ b/tests/ls/a-option.sh
@@ -0,0 +1,27 @@
1
-
+#!/bin/sh
2
-
+# exercise the -a option
3
-
+
4
-
+# Copyright 2018 Free Software Foundation, Inc.
5
-
+
6
-
+# This program is free software: you can redistribute it and/or modify
7
-
+# it under the terms of the GNU General Public License as published by
8
-
+# the Free Software Foundation, either version 3 of the License, or
9
-
+# (at your option) any later version.
10
-
+
11
-
+# This program is distributed in the hope that it will be useful,
12
-
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
13
-
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
14
-
+# GNU General Public License for more details.
15
-
+
16
-
+# You should have received a copy of the GNU General Public License
17
-
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
18
-
+
19
-
+. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
20
-
+print_ver_ ls
21
-
+
22
-
+mkdir d || framework_failure_
23
-
+
24
-
+ls -aA d >out || framework_failure
25
-
+compare /dev/null out || fail=1
26
-
+
27
-
+Exit $fail

Generated by Squish Coco 4.1.2